Get Webhooks for dataflowId and RecordSetId

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks

Get Webhooks for the selected dataflowId and RecordSetId.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string

      id of the Webhook

    • requestedBy string

      requestor name

    • webhookName string

      Webhook name

    • recordSetId string

      RecordSet Id

    • webhookUrl string

      Webhook URL

    • status number

      Not used

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "_id": "570b394503f0ca524cb7d430",
    "requestedBy": "demo_5000",
    "webhookName": "wh_rs2",
    "recordSetId": "570b394403f0ca524cb7d42f",
    "webhookUrl": "https://<host url>/domain/development/services/webhooks/xxxxxxxx-xxxxxxxx",
    "entityId": "5684058f159fffbe29ff9912",
    "status": 1
  }
]